unit SMXi_Debug;

interface

procedure ExportData(Value: string; ExportType: string);

implementation

uses
  System.SysUtils;

procedure ExportData(Value: string; ExportType: string);
var
  fRequest: TextFile;
  sFilename: string;

  function GetSep: string;
  begin
    {$IFDEF LINUX}
    Result := '/';
    {$ELSE}
    Result := '\';
    {$ENDIF}

  end;

  function SafeFormat(OldValue: string): string;
  begin
    Result := OldValue;
    Result := StringReplace(Result, ' ', '', [rfReplaceAll]);
    Result := StringReplace(Result, '.', '_', [rfReplaceAll]);
    Result := StringReplace(Result, ':', '_', [rfReplaceAll]);

  end;

begin
  sFilename := GetCurrentDir + GetSep + 'Logs';
  ForceDirectories(sFilename);

  sFilename := sFilename + GetSep + FormatDateTime('YYYYMMDD_HHNNSS_zzz', Now) + '_' + SafeFormat(ExportType) + '.txt';

  AssignFile(fRequest, sFilename);
  Rewrite(fRequest);
  WriteLn(fRequest, Value);
  CloseFile(fRequest);

end;

end.
