/// <summary>
/// <para>
/// Swagger imported from <see href="https://dpd-eu.gfsdeliver.com/api-docs" />
/// </para>
/// <para>
/// Raw import in C:\Projects GFS\Coll8\GFSProxyAPI
/// </para>
/// </summary>
unit Coll8Service;

interface

uses
  XData.Service.Common,
  GFSProxyDtos;

type

  /// <summary>
  ///   This is based on the same process as DPD. Each package is a separate
  ///   call, so no multi packages are expected within a single request
  /// </summary>
  [ServiceContract]
  [Route('labelling')]
  IColl8Service = interface(IInvokable)
    ['{02714039-72A1-4B1A-96A7-9444F0E5013D}']
    {$IFDEF DEBUG}
    [SwaggerExclude]
    [HttpGet]
    function GetAnAuthToken: string;
    {$ENDIF}
    [HttpPost]
    function createLabel(const LabelRequest: TCreateLabelRequestClass): TCreateLabelResponseClass;
    /// <summary>
    ///   Additional to DPD
    /// </summary>
    [HttpPost]
    function eodManifest(const Manifest: TEndOfDayManifestClass): boolean;

    [HttpGet]
    function cancelShipment(const trackingId: string): Boolean;

//    [HttpPost]
//    function createReturn(ReturnShipment: TGFSReturnShipment): boolean;
  end;

implementation

initialization

RegisterServiceType(TypeInfo(IColl8Service));

end.
