unit ConnectionServer;

interface

uses
  System.SysUtils, System.Classes, Sparkle.HttpServer.Module, smx.OpenAPI.Utils,
  Sparkle.HttpServer.Context, Sparkle.Comp.Server, XData.OpenApi.Service.Internal,
  Sparkle.Comp.HttpSysDispatcher, XData.Comp.ConnectionPool, XData.Server.Module,
  XData.Comp.Server, Sparkle.Comp.CorsMiddleware, Sparkle.Comp.GenericMiddleware;

type
  TServerContainer = class(TDataModule)
    SparkleHttpSysDispatcher: TSparkleHttpSysDispatcher;
    XDataServer: TXDataServer;
    XDataServerCORS: TSparkleCorsMiddleware;
    XDataServerGeneric: TSparkleGenericMiddleware;
    procedure DataModuleCreate(Sender: TObject);
    procedure XDataServerGenericRequest(Sender: TObject; Context: THttpServerContext; Next: THttpServerProc);
  end;

var
  ServerContainer: TServerContainer;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

uses Sparkle.WinHttp.Engine, XData.Aurelius.ModelBuilder, xml.XMLDom, Xml.omnixmldom;

{$R *.dfm}

procedure TServerContainer.DataModuleCreate(Sender: TObject);
begin
  DefaultDOMVendor := sOmniXmlVendor;
  TXDataModelBuilder.LoadXmlDoc(XDataServer.Model);
end;

procedure TServerContainer.XDataServerGenericRequest(Sender: TObject; Context: THttpServerContext; Next: THttpServerProc);
begin
  Context.SetItem<IOpenApiEvents>(TSMXiOpenApiEvents.Create);
  Next(Context);
end;

end.
